# qsimpy

`qsimpy` is a lightweight Python library for simulating quantum circuits. It includes implementations for fundamental quantum gates and provides tools to create, manipulate, and measure quantum states.

## Features

- **Quantum Gates**: Implements Pauli-X, Pauli-Y, Pauli-Z, Hadamard, CNOT, SWAP, S-gate, T-gate, and their adjoints.
- **Circuit Construction**: Build quantum circuits with multiple qubits.
- **Gate Expansion**: Expand gates to a full Hilbert space.
- **Measurement**: Simulate measurement outcomes.

## Installation

You can install `qsimpy` directly from PyPI using pip:

```bash
pip install qsimpy
```